Bug 1013693 - Can not use dependent enumerations in a same DSL sentence
Can not use dependent enumerations in a same DSL sentence
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high
: CR1
: 6.0.0
Assigned To: manstis
Zuzana Krejčová
http://jira.jboss.org/jira/browse/BRM...
:
Depends On: 1044491
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 11:36 EDT by Jiri Locker
Modified: 2014-08-06 16:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: BRMS-475
Environment:
Last Closed: 2014-08-06 16:16:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
raman.gupta: needinfo+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker BRMS-475 Major Closed Can not use dependent enumerations in a same DSL sentence 2016-12-01 10:09 EST
JBoss Issue Tracker GUVNOR-1106 Critical Resolved Guided Editor: Can not use dependent enumerations in a same DSL sentence 2016-12-01 10:09 EST

  None (edit)
Comment 3 manstis 2013-10-16 08:18:05 EDT
The DSL definition in the JIRA is wrong.

Changing it to this:

[when]When the vehicle engine is {$engine:ENUM:Vehicle.engineType} and the fuel is {$fuel:ENUM:Vehicle.fuelType} = Vehicle(engineType=="{$engine}",fuelType=="{$fuel}")

Dependent enums, given the example in the JIRA, work ok in 6.0.x.
Comment 4 JBoss JIRA Server 2013-11-18 12:45:12 EST
Raman Gupta <raman.gupta@tecnotree.com> made a comment on jira GUVNOR-1106

But For Database Query like

ENUMERATION ::

'Upc.bundleNames' : (new com.upc.ruleUtility.BundleConstraints()).getInactiveBundleList()
'Upc.Products[bundleNames]' : '(new com.upc.ruleUtility.UPCService()).getBundleAssociatedProductList("@{bundleNames}")'


And DSL::

Constraints {BundleList1:ENUM:Upc.bundleNames} and Associated Products {ProductList:ENUM:Upc.Products} = productSet.add("{ProductList}");

issues
1- Dependent drop-down is refreshing with every save and showing first value from the list even if i am selecting 3rd or 4th value.
2- View Source in showing blank for dependent drop down like productSet.add(" ");
Comment 5 Zuzana Krejčová 2013-12-18 07:48:19 EST
The static dependent enums (vehicle example) use case is fixed. Further verification is currently blocked by bug 1044491.
Comment 6 Zuzana Krejčová 2014-01-14 05:10:17 EST
Setting to MODIFIED as this cannot be fully tested now (comment 5), please move back to ON_QA once bug 1044491 is moved to ON_QA as well.
Comment 7 Lukáš Petrovický 2014-01-21 09:38:38 EST
Should be fixed now.

Note You need to log in before you can comment on or make changes to this bug.